import request from '@/utils/request'

// 查询服务管理列表
export function listServer(query) {
  return request({
    url: '/gateway/server/list',
    method: 'get',
    params: query
  })
}

// 查询服务管理详细
export function getServer(id) {
  return request({
    url: '/gateway/server/' + id,
    method: 'get'
  })
}

// 新增服务管理
export function addServer(data) {
  return request({
    url: '/gateway/server',
    method: 'post',
    data: data
  })
}

// 修改服务管理
export function updateServer(data) {
  return request({
    url: '/gateway/server',
    method: 'put',
    data: data
  })
}

// 删除服务管理
export function delServer(id) {
  return request({
    url: '/gateway/server/' + id,
    method: 'delete'
  })
}

// 启用/停用接口信息（支持批量）
export function changeServerStatus(data) {
  return request({
    url: '/gateway/server/status',
    method: 'put',
    data: data
  })
}
